# Created by pyp2rpm-3.3.2
%global pypi_name towncrier

# Looks like the tests want a network connection
%bcond_with tests

Name:           python-%{pypi_name}
Version:        21.9.0
Release:        %mkrel 2
Summary:        Building newsfiles for your project
Group:          Development/Python
License:        MIT
URL:            https://github.com/hawkowl/towncrier
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(click-default-group)
BuildRequires:  python3dist(incremental)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

%description
Hear ye, hear ye, says the towncrier towncrier is a utility to produce useful,
summarised news files for your project. Rather than reading the Git history as
some newer tools to produce it, or having one single file which developers all
write to, towncrier reads "news fragments" which contain information useful to
end users.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)
Requires:       python3dist(incremental)
Requires:       python3dist(jinja2)
Requires:       python3dist(setuptools)
Requires:       python3dist(toml)

%description -n python3-%{pypi_name}
Hear ye, hear ye, says the towncrier towncrier is a utility to produce useful,
summarised news files for your project. Rather than reading the Git history as
some newer tools to produce it, or having one single file which developers all
write to, towncrier reads "news fragments" which contain information useful to
end users.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/towncrier
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 21.9.0-2.mga9
+ Revision: 1833842
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 21.9.0-1.mga9
+ Revision: 1782004
- disable tests which want a network connection
- version 21.9.0
- rebuild for python-3.10

* Sun Jul 25 2021 joequant <joequant> 21.3.0-1.mga9
+ Revision: 1737712
- fix deps
- update deps
- update deps
- update to 21.3.0

* Sat Jun 26 2021 wally <wally> 19.2.0-3.mga9
+ Revision: 1732442
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 19.2.0-2.mga8
+ Revision: 1541777
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 19.2.0-1.mga8
+ Revision: 1438171
- imported package python-towncrier

